TinyUmbrella 5.11.00 out with support for iOS 5.1.1

By , May 12, 2012

As most of you know, Apple released an update to iOS last week, bringing the firmware to 5.1.1. The new software doesn’t contain much more than bug fixes, but if you updated to it, you’ll want to save your SHSH blobs.

Luckily you can do that with the latest version of TinyUmbrella. NotCom has just released TU 5.11.00 with support for the latest version of iOS. And if you haven’t been saving your SHSH blobs, you might want to start…

With the recent RedSn0w release, the ability to downgrade your device’s firmware has been fully restored for A5 users. But to utilize the new feature, you need to have the SHSH blobs from an earlier version of iOS.

So yeah, to say that saving your blobs is important is an understatement. It could sometimes be the difference between having a jailbroken device and not.

You can download the latest version of TinyUmbrella from our Downloads page.

  • Share:
  • Follow:

  • Anonymous

    cool

  • but this must be used when we want to upgrade from 5.1.1 to 5.1.2 or 6 or whatever !!! and that is so far from now … as I guess … what do u think guys??

    • Well not that way friend but, in reverse orden. It will be useful to downgrade from greatest release to a 5.1.1 release! If I can fully understand what thats binary are for.

      cmf.

    • You don’t need tinyumbrella if you are updating… It’s for downgrading. So this would be used for when or if Apple releases a 5.1.2, you can downgrade to 5.1.1. 5.1.2 could be out at any moment just like 5.1.1 came out of nowhere. This is really useful right now if Apple releases a 5.1.2 that patches the 5.1/5.1.1 jailbreak.

      • yeah .. yeah .. that’s exactly what I mean !!! I made a mistake:when I typed UPGRADE I thought that I typed DOWNGRADE !!!
        I am crazy these moments hehehe 🙂
        THNX

  • So I want to save my blobs because if I ever need to restore it will force me to restore to the current firmware which is unjailbreakable in some cases right? So then I would just downgrade to my safe 5.0.1 blob?

  • I will wait.So many probs people hace.I am staying at 5.0.1 and i am satisfied.why update when everything works?II admit that my battery seems to drain faster.I think ios 4 was best ios with the jailbreak.Worked perfectly.Thanks to Geohot.On 5.0.1 i am experiencing some small failures.But still my iphone works.I polished the stainless steel to mirror and gave my iphone 4 a white housing……Never touch a running system!!!Sometime you will search for a solution for restoring failure and then you will search it here .hehe.I googled Jeff Benjamin and i saw him when you go.ogle “Jeff Benjamin” with safari browser.He’s on the second page .Second last picture …Miau….;-)))

  • Admas Koh Kai Siang

    i am having problem SHSH my iPad 3

  • Marty Cunnane

    Do you have to be jailbroken to save shsh blobs

  • Marty Cunnane

    Do you have to be jailbroken to save shsh blobs

  • Stefan Carroll

    So from my understanding I need to save my shsh blobs before the upgrade so I can downgrade? I’m very new to shsh blobs and I’m already on 5.1 is it possible for me to downgrade to 5.0.1 without having saved my shsh blobs?

  • Anonymous

    hai
    can i use backup of sam to another iphone? anybody here already tested?
    br gita

    • Only if you’re using the same sim in both phones (not same type or make, but same sim card)

  • marwan bou malhab

    guys my iphone 4 iOS 5.1.1 is not jailbroken before so i don’t have shsh blobs. is there any method to use in order to unlock my phone ?

  • now my ipad2 is on iOS 5.1 so, so can I make shsh blobs of 5.1 with this tinyumbrella ?

    • Anonymous

      yes

  • Can someone give me iPad 2,2 5.0.1 shsh blobs? Please I miss the jailbreak!

    Tweet me back! Thank you.

  • can someone give me an shsh blob for ios 5.0.1

  • Emanuil-Stefan Conchita Salvad

    I can’t find working tinyumbrella anywhere… not for 4.2.1, and 5.1 niether… help me pls.

    • Emanuil-Stefan Conchita Salvad

      I mean working actual DL link…